/*-----------------------------------------------------------------------------
[名称]	BoxCharDlg.h
[概要]	空白文字定義ダイアログクラスのヘッダ
[備考]	なし
[履歴]	2003-03-12	NC		コメント付加(moralog)
-----------------------------------------------------------------------------*/
#if !defined(AFX_BoxCharDLG_H_INCLUDED_)
#define AFX_BoxCharDLG_H_INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


//-----------------------------------------------------------------------------
// インクルード
//-----------------------------------------------------------------------------
#include "BoxCharListCtrl.h"
#include "OwnerTabPage.h"

/*-----------------------------------------------------------------------------
[名称]	空白文字定義ダイアログクラス
[用途]	空白文字定義をするダイアログ。
[備考]	なし
-----------------------------------------------------------------------------*/
class CBoxCharDlg : public COwnerTabPage
{
// コンストラクション
public:
	// 生成
	CBoxCharDlg(CWnd* pParent = NULL);   // 標準のコンストラクタ

	// 確定
	void Confirm();

	// 表示制御
	void VisibleControl();

// ダイアログ データ
	//{{AFX_DATA(CBoxCharDlg)
	enum { IDD = IDD_BOXCHAR };
	CButton	m_btnEdit;
	CButton	m_btnDelete;
	CButton	m_btnAdd;
	CBoxCharListCtrl	m_BoxCharList;
	BOOL	m_bEnable;
	//}}AFX_DATA


// オーバーライド
	// ClassWizard は仮想関数のオーバーライドを生成します。
	//{{AFX_VIRTUAL(CBoxCharDlg)
	public:
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート
	//}}AFX_VIRTUAL

// インプリメンテーション
protected:

	// 生成されたメッセージ マップ関数
	//{{AFX_MSG(CBoxCharDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnBoxcharAdd();
	afx_msg void OnBoxcharEdit();
	afx_msg void OnBoxcharDelete();
	afx_msg void OnItemchangedBoxcharList(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_BoxCharDLG_H_INCLUDED_)
